Subject: Re: bug#62940: 29.0.60; vc: no easy way to get diff of all outgoing changes

From: Juri Linkov <[email-masked]>
Date: Wed, 19 Apr 2023 09:49:00 +0300

>   C-x v O C-x h =
>
> Which would be D. in the original message. It doesn't support uncommitted
> changes, but I would be surprised if it did.

It's supported only for vc that inserts a text header in logs like RCS.
I proposed to insert extra line that represents uncommitted git changes,
and I'm using this feature all the time.  But the problem is that
it's inserted even when 'C-x v b l' lists another branch
where such line makes no sense.